- oauth
- getStart OAuth authorization code flow
- postExchange OAuth authorization code for API access token
- guest
- postCreate a guest session token
- postCreate a guest draft schedule
- getGet a guest draft schedule by ID
- getGet games for a guest-owned schedule
- getGet standings for a guest-owned robin schedule
- organizers
- postCreate an organizer for the authenticated user
- getGet organizer details by ID or slug
- patchUpdate an organizer
- postClaim guest schedules into organizer ownership
- postStart organizer trial for eligible organizer
- getList organizer API tokens
- postCreate organizer API token
- delRevoke organizer API token
- getList organizer managers
- postCreate organizer manager
- patchUpdate organizer manager
- getShow organizer custom domain
- postCreate organizer custom domain
- patchUpdate organizer custom domain
- delDisable organizer custom domain
- postStart organizer custom domain status check
- getGet organizer homepage items
- questions
- getList organizer global questions
- postCreate organizer global question
- patchUpdate organizer global question
- delDelete organizer global question
- coupons
- getList organizer coupons
- postCreate organizer coupon
- patchUpdate organizer coupon
- delDelete organizer coupon
- payments
- getShow organizer payment settings
- patchUpdate organizer payment settings
- postStart organizer payment onboarding
- conversations
- getList organizer player conversations
- postStart organizer player conversation
- getList organizer conversation messages
- postReply to organizer conversation
- announcements
- getList organizer announcements
- postCreate organizer announcement
- schedules
- getList schedules for an organizer context
- postCreate a schedule
- getGet schedule details by ID
- patchUpdate a schedule
- delDelete a schedule
- postPublish a schedule
- delUnpublish a schedule
- postArchive a schedule
- delUnarchive a schedule
- postAdd teams to a schedule
- getGet schedule games
- getGet standings (robin schedules only)
- activities
- getList organizer activities
- postCreate an activity
- getGet activity details by ID
- patchUpdate an activity
- delDelete an activity
- postAttach a product to an activity
- delRemove a product from an activity
- getList pricing options for an activity
- postCreate a pricing option for an activity
- getGet a pricing option for an activity
- patchUpdate a pricing option for an activity
- delDelete a pricing option for an activity
- postPublish an activity
- delUnpublish an activity
- postArchive an activity
- delUnarchive an activity
- products
- getList organizer products
- postCreate a product
- getGet product details by ID
- patchUpdate a product
- delDelete a product
- reservation_offerings
- getList organizer reservation offerings
- postCreate a reservation offering
- getGet reservation offering details by ID
- patchUpdate a reservation offering
- delDelete a reservation offering
- postAttach a product to a reservation offering
- delRemove a product from a reservation offering
- postPublish a reservation offering
- delUnpublish a reservation offering
- postArchive a reservation offering
- delUnarchive a reservation offering
- reservation_bookings
- getList organizer reservation bookings
- getGet reservation booking details by ID
- storefronts
- getList organizer storefronts
- postCreate a storefront
- getGet storefront details by ID
- patchUpdate a storefront
- delDelete a storefront
- postPublish a storefront
- delUnpublish a storefront
- postArchive a storefront
- delUnarchive a storefront
- postAttach a product to a storefront
- delRemove a product from a storefront
- storefront_orders
- getList organizer storefront orders
- getGet storefront order details by ID
- members
- getList organizer members
- getGet member details by ID
- registrations
- getList organizer registrations
- getGet registration details by ID
- referrals
- getList organizer referrals
- getGet referral details by ID
- membership_subscriptions
- getList organizer membership subscriptions
- getGet membership subscription details by ID
- memberships
- getList organizer memberships
- postCreate a membership
- getGet membership details by ID
- patchUpdate a membership
- delDelete a membership
- postAttach a product to a membership
- delRemove a product from a membership
- postPublish a membership
- delUnpublish a membership
- postArchive a membership
- delUnarchive a membership
- waivers
- getList organizer waivers
- postCreate a waiver
- getGet waiver details by ID
- patchUpdate a waiver
- delDelete a waiver
- postPublish a waiver
- delUnpublish a waiver
- postArchive a waiver
- delUnarchive a waiver
- signed_waivers
- getList organizer signed waivers
- getGet signed waiver details by ID
- pages
- getList organizer pages
- postCreate a page
- getGet page details by ID
- patchUpdate a page
- delDelete a page
- postPublish a page
- delUnpublish a page
- postArchive a page
- delUnarchive a page
- uploads
- getList organizer uploads
- postCreate an upload
- getGet upload details by ID
- patchUpdate an upload
- delDelete an upload
- postPublish an upload
- delUnpublish an upload
- postArchive an upload
- delUnarchive an upload
- referral_programs
- postCreate an organizer referral program
- getGet referral program by organizer ID
- patchUpdate referral program by organizer ID
- delDelete referral program by organizer ID
- postPublish an organizer referral program
- delUnpublish an organizer referral program
API docs by Redocly](https://redocly.com/redoc/)
Playpass API (2026-02-08)
Download OpenAPI specification: Download
License: Proprietary
API contract for the Playpass API. Expect possibility of breaking changes until this message is removed, by 2026-04-01. New to Playpass API? Start with the Developer Guide. Authenticated endpoints use Authorization: Bearer <token> with either a manager API token from Dashboard > Settings > API Access or a user OAuth access token returned by /api/oauth/token. Manager API tokens are issued and revoked by organizer owners; helper/staff roles do not self-issue manager API tokens today.
tag/oauth oauth
OAuth authorization and token exchange for ChatGPT Actions.
tag/oauth/operation/oauthAuthorize Start OAuth authorization code flow
query Parameters
| response_type required |
string Value:"code" |
| client_id required |
string |
| redirect_uri required |
string |
| code_challenge required |
string |
| code_challenge_method | string Value:"S256" |
| state | string |
Responses
200
Authorization page rendered (if user interaction is required)
302
Redirect to OAuth callback URL with code or error
400
Invalid OAuth authorization request
get/api/oauth/authorize
https://playpass.com/api/oauth/authorize
Response samples
- 400
Content type
application/json
Copy
`{"error": "string",
"error_description": "string"
}`
tag/oauth/operation/oauthToken Exchange OAuth authorization code for API access token
Request Body schema: application/jsonapplication/x-www-form-urlencodedapplication/json required
| grant_type required |
string Value:"authorization_code" |
| client_id required |
string |
| client_secret | string |
| code required |
string |
| redirect_uri required |
string |
| code_verifier required |
string |
Responses
200
OAuth token issued
400
OAuth token request is invalid
post/api/oauth/token
https://playpass.com/api/oauth/token
Request samples
- Payload
Content type
application/jsonapplication/x-www-form-urlencodedapplication/json
Copy
`{"grant_type": "authorization_code",
"client_id": "string",
"client_secret": "string",
"code": "string",
"redirect_uri": "http://example.com",
"code_verifier": "string"
}`
Response samples
- 200
- 400
Content type
application/json
Copy
`{"access_token": "string",
"token_type": "Bearer",
"expires_in": 1,
"scope": "string"
}`
tag/guest guest
Guest bootstrap and draft schedule workflows.
tag/guest/operation/createGuestSession Create a guest session token
Creates an anonymous guest identity and returns the short-lived token used by guest scheduling endpoints.
query Parameters
| profile | string Enum:"slim""detail" Response detail profile. Defaults to slim. |
Responses
201
Guest session created
422
Invalid guest session request
post/api/guest_sessions
https://playpass.com/api/guest\_sessions
Response samples
- 201
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"guest_session": {"token": "string",
"guest_identifier": "string",
"expires_at": "2019-08-24T14:15:22Z",
"guest": {"identifier": "string",
"country_code": "string"
}
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/guest/operation/createGuestSchedule Create a guest draft schedule
Request Body schema: application/json required
| guest_session_token required |
string |
| schedule required |
object (ScheduleCreateInput) |
Responses
201
Schedule created
401
Missing or invalid guest session token
422
Invalid schedule attributes
post/api/guest/schedules
https://playpass.com/api/guest/schedules
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"guest_session_token": "string",
"schedule": {"sport": "soccer",
"teams": 8,
"format": "round_robin"
}
}`
Response samples
- 201
- 401
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"schedule": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"name": "string",
"subtitle": "string",
"description": "string",
"format": "round_robin",
"status": "draft",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"games_count": 0,
"games_played_count": 0,
"contestants": 0,
"courts": 0,
"groups": 0,
"standings_supported": true,
"sport": "basketball",
"player_stats": {"supported": true,
"tracking_enabled": true,
"visible_to_public": true,
"leaderboards_visible": true,
"leaderboard_stats": [{"key": "points",
"label": "Points",
"abbreviation": "PTS"
}
]
},
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"attached_schedule": {"id": "PHpmFGq",
"url": "https://playpass.com/go/PHpmFGq",
"name": "8 Team Volleyball Single Elimination",
"subtitle": "string",
"description": "string",
"format": "single_elimination",
"games_count": 0,
"games_played_count": 0,
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"continue_url": "http://example.com"
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/guest/operation/getGuestSchedule Get a guest draft schedule by ID
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
query Parameters
| guest_session_token required |
string Guest session token from POST /api/guest_sessions. |
Responses
200
Schedule found
401
Missing or invalid guest session token
404
Schedule not found
422
Invalid schedule identifier
get/api/guest/schedules/{id}
https://playpass.com/api/guest/schedules/{id}
Response samples
- 200
- 401
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"schedule": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"name": "string",
"subtitle": "string",
"description": "string",
"format": "round_robin",
"status": "draft",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"games_count": 0,
"games_played_count": 0,
"contestants": 0,
"courts": 0,
"groups": 0,
"standings_supported": true,
"sport": "basketball",
"player_stats": {"supported": true,
"tracking_enabled": true,
"visible_to_public": true,
"leaderboards_visible": true,
"leaderboard_stats": [{"key": "points",
"label": "Points",
"abbreviation": "PTS"
}
]
},
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"attached_schedule": {"id": "PHpmFGq",
"url": "https://playpass.com/go/PHpmFGq",
"name": "8 Team Volleyball Single Elimination",
"subtitle": "string",
"description": "string",
"format": "single_elimination",
"games_count": 0,
"games_played_count": 0,
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"continue_url": "http://example.com"
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/guest/operation/getGuestScheduleGames Get games for a guest-owned schedule
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
query Parameters
| guest_session_token required |
string Guest session token from POST /api/guest_sessions. |
| status | string Enum:"all""unplayed" |
| team | integer >= 1 |
| group | integer >= 1 |
| court | integer >= 1 |
| style | string Enum:"list""bracket" |
| page | integer >= 1 1-based page number. Blank, invalid, and values below 1 use page 1. |
| per_page | integer [ 1 .. 100 ] Number of records per page. Blank, invalid, and values below 1 use the endpoint default; values above 100 are capped at 100. |
Responses
200
Games found
401
Missing or invalid guest session token
403
Schedule is unavailable
404
Schedule not found
422
Invalid identifier or invalid filters
get/api/guest/schedules/{id}/games
https://playpass.com/api/guest/schedules/{id}/games
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"filters": {"status": "all",
"team": 1,
"group": 1,
"court": 1,
"style": "list",
"page": 1,
"per_page": 1
},
"schedule_games": [{"game_n": 1,
"game_type": "schedule",
"played": true,
"in_progress": true,
"start_date": "2019-08-24",
"start_time": "15:33:00",
"court": 0,
"court_name": "string",
"group": 0,
"group_name": "string",
"round": 0,
"note": "string",
"label": "string",
"contestant_a": {"name": "string",
"contestant_n": 1
},
"contestant_b": {"name": "string",
"contestant_n": 1
},
"score": {"contestant_a": 0,
"contestant_b": 0
},
"set_scores": [[0,
0
]
],
"result_summary": "string"
}
],
"playoff_games": [{"game_n": 1,
"game_type": "schedule",
"played": true,
"in_progress": true,
"start_date": "2019-08-24",
"start_time": "15:33:00",
"court": 0,
"court_name": "string",
"group": 0,
"group_name": "string",
"round": 0,
"note": "string",
"label": "string",
"contestant_a": {"name": "string",
"contestant_n": 1
},
"contestant_b": {"name": "string",
"contestant_n": 1
},
"score": {"contestant_a": 0,
"contestant_b": 0
},
"set_scores": [[0,
0
]
],
"result_summary": "string"
}
]
},
"meta": {"api_version": "2026-02-08",
"request_id": "string",
"schedule_games": {"page": 1,
"per_page": 1,
"total_pages": 0,
"total_count": 0
},
"playoff_games": {"page": 1,
"per_page": 1,
"total_pages": 0,
"total_count": 0
}
}
}`
tag/guest/operation/getGuestScheduleStandings Get standings for a guest-owned robin schedule
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
query Parameters
| guest_session_token required |
string Guest session token from POST /api/guest_sessions. |
| team | integer >= 1 |
| group | integer >= 1 |
Responses
200
Standings found
401
Missing or invalid guest session token
403
Schedule is unavailable
404
Schedule not found
422
Invalid identifier/filters or standings not supported
get/api/guest/schedules/{id}/standings
https://playpass.com/api/guest/schedules/{id}/standings
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"filters": {"team": 1,
"group": 1
},
"selected_group": 0,
"visibility": {"games_played": true,
"games_back": true,
"ties": true,
"ties_last": true,
"no_results": true,
"overtime_losses": true,
"forfeit_losses": true,
"win_percentage": true,
"streak": true,
"last_ten": true,
"home_record": true,
"away_record": true,
"sets_won": true,
"sets_lost": true,
"sets_difference": true,
"goals_for": true,
"goals_against": true,
"percentage": true,
"goals_difference": true,
"net_run_rate": true,
"points": true
},
"groups": [{"group_number": 1,
"group_name": "string",
"contestants": [{"contestant_n": 1,
"name": "string",
"group": 1,
"wins": 0,
"games_back": 0,
"losses": 0,
"ties": 0,
"no_results": 0,
"overtime_losses": 0,
"forfeit_losses": 0,
"total_games_played": 0,
"points": 0,
"streak": "string",
"streak_result": "none",
"streak_length": 0,
"last_ten": "string",
"last_ten_wins": 0,
"last_ten_losses": 0,
"last_ten_ties": 0,
"last_ten_no_results": 0,
"home_record": "string",
"home_wins": 0,
"home_losses": 0,
"home_ties": 0,
"home_no_results": 0,
"away_record": "string",
"away_wins": 0,
"away_losses": 0,
"away_ties": 0,
"away_no_results": 0,
"sets_won": 0,
"sets_lost": 0,
"sets_difference": 0,
"goals_for": 0,
"goals_against": 0,
"goals_difference": 0,
"win_percentage": "string",
"percentage": "string",
"net_run_rate": "string"
}
]
}
],
"player_stats": {"supported": true,
"visible": true,
"leaderboards": [{"stat_key": "points",
"label": "Points",
"abbreviation": "PTS",
"entries": [{"rank": 1,
"name": "Camille",
"team_name": "Team 1",
"games_played": 0,
"value": 0
}
]
}
]
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers organizers
Organizer profile and metadata.
tag/organizers/operation/createOrganizer Create an organizer for the authenticated user
Authorizations:
bearerAuth
Request Body schema: application/json required
| organizer required |
object (OrganizerCreateInput) |
Responses
201
Organizer created
401
Missing or invalid API token
422
Invalid organizer attributes
post/api/organizers
https://playpass.com/api/organizers
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"organizer": {"name": "string",
"location_input": "string"
}
}`
Response samples
- 201
- 401
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer": {"id": "Oabc123",
"type": "organizer",
"url": "https://playpass.com/go/Oabc123",
"slug": "string",
"name": "string",
"subtitle": "string",
"description": "string",
"status": "draft",
"city": "string",
"country_code": "string",
"external_links": [{"provider_key": "website",
"label": "string",
"url": "http://example.com"\
}
],
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft",
"contact_name": "string",
"contact_email": "string",
"contact_phone": "string"
},
"has_referral_program": true
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/getOrganizer Get organizer details by ID or slug
Authorizations:
None_bearerAuth_
path Parameters
| id required |
string^[A-Za-z0-9-]+$ Organizer lookup value (prefixed ID like Of6Hk2a or slug/short URL like YSC) |
Responses
200
Organizer found
401
Invalid API token
403
Organizer is unavailable
404
Organizer not found
get/api/organizers/{id}
https://playpass.com/api/organizers/{id}
Response samples
- 200
- 401
- 403
- 404
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer": {"id": "Oabc123",
"type": "organizer",
"url": "https://playpass.com/go/Oabc123",
"slug": "string",
"name": "string",
"subtitle": "string",
"description": "string",
"status": "draft",
"city": "string",
"country_code": "string",
"external_links": [{"provider_key": "website",
"label": "string",
"url": "http://example.com"\
}
],
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft",
"contact_name": "string",
"contact_email": "string",
"contact_phone": "string"
},
"has_referral_program": true
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/updateOrganizer Update an organizer
Authorizations:
bearerAuth
path Parameters
| id required |
string^[A-Za-z0-9-]+$ Organizer lookup value (prefixed ID like Of6Hk2a or slug/short URL like YSC) |
Request Body schema: application/json required
| organizer required |
object (OrganizerUpdateInput) non-empty |
Responses
200
Organizer updated
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid organizer attributes
patch/api/organizers/{id}
https://playpass.com/api/organizers/{id}
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"organizer": {"name": "string",
"location_input": "string",
"subtitle": "string",
"description": "string",
"contact_name": "string",
"contact_email": "string",
"contact_phone": "string",
"external_links": [{"provider_key": "website",
"url": "string"
}
],
"pass_on_fee": true,
"status": "draft",
"searchable": true
}
}`
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer": {"id": "Oabc123",
"type": "organizer",
"url": "https://playpass.com/go/Oabc123",
"slug": "string",
"name": "string",
"subtitle": "string",
"description": "string",
"status": "draft",
"city": "string",
"country_code": "string",
"external_links": [{"provider_key": "website",
"label": "string",
"url": "http://example.com"\
}
],
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft",
"contact_name": "string",
"contact_email": "string",
"contact_phone": "string"
},
"has_referral_program": true
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/claimGuestSchedules Claim guest schedules into organizer ownership
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
query Parameters
| profile | string Enum:"slim""detail" Response detail profile. Defaults to slim. |
Request Body schema: application/json required
| guest_session_token required |
string |
Responses
200
Guest schedules claimed
401
Missing or invalid API token or guest session token
403
Forbidden
404
Organizer not found
post/api/organizers/{organizer_id}/guest_schedule_claim
https://playpass.com/api/organizers/{organizer\_id}/guest\_schedule\_claim
Request samples
- Payload
Content type
application/json
Copy
`{"guest_session_token": "string"
}`
Response samples
- 200
- 401
- 403
- 404
Content type
application/json
Copy Expand all Collapse all
`{"data": {"guest_schedule_claim": {"organizer_id": "string",
"guest_identifier": "string",
"claimed_robins": 0,
"claimed_playoffs": 0,
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",
"name": "string"
}
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/startOrganizerTrial Start organizer trial for eligible organizer
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
query Parameters
| profile | string Enum:"slim""detail" Response detail profile. Defaults to slim. |
Responses
200
Organizer trial status
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
post/api/organizers/{organizer_id}/trial
https://playpass.com/api/organizers/{organizer\_id}/trial
Response samples
- 200
- 401
- 403
- 404
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer_trial": {"organizer_id": "string",
"trial_started": true,
"trial_start": "2019-08-24T14:15:22Z",
"trial_end": "2019-08-24T14:15:22Z",
"state": "string",
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",
"name": "string"
}
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/listOrganizerApiTokens List organizer API tokens
Returns API token metadata only. Plaintext token values are never returned by this endpoint. Token creation and revocation are owner-only.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
query Parameters
| profile | string Enum:"slim""detail" Response detail profile. Defaults to slim. |
Responses
200
Organizer API tokens (plaintext token values are never returned)
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
get/api/organizers/{organizer_id}/api_tokens
https://playpass.com/api/organizers/{organizer\_id}/api\_tokens
Response samples
- 200
- 401
- 403
- 404
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer_api_tokens": {"organizer_id": "string",
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",
"name": "string"
},
"api_tokens": [{"id": 0,
"name": "string",
"scopes": ["string"
],
"token_last4": "string",
"revoked": true,
"created_at": "2019-08-24T14:15:22Z",
"last_used_at": "2019-08-24T14:15:22Z"
}
]
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/createOrganizerApiToken Create organizer API token
Creates a new organizer-owner API token and returns its plaintext token value once. Save it securely.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
query Parameters
| profile | string Enum:"slim""detail" Response detail profile. Defaults to slim. |
Request Body schema: application/json optional
| api_token | object (OrganizerApiTokenCreateInput) |
Responses
201
Organizer API token created (plaintext token value is returned once)
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid API token request
post/api/organizers/{organizer_id}/api_tokens
https://playpass.com/api/organizers/{organizer\_id}/api\_tokens
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"api_token": {"name": "string",
"scopes": ["string"
]
}
}`
Response samples
- 201
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer_api_token": {"organizer_id": "string",
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",
"name": "string"
},
"api_token": {"id": 0,
"name": "string",
"scopes": ["string"
],
"token_last4": "string",
"revoked": true,
"created_at": "2019-08-24T14:15:22Z",
"last_used_at": "2019-08-24T14:15:22Z",
"token": "string"
}
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/revokeOrganizerApiToken Revoke organizer API token
Revokes an organizer API token. Only organizer owners can revoke manager API tokens.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
| token_id required |
integer |
query Parameters
| profile | string Enum:"slim""detail" Response detail profile. Defaults to slim. |
Responses
200
Organizer API token revoked
401
Missing or invalid API token
403
Forbidden
404
Organizer or token not found
delete/api/organizers/{organizer_id}/api_tokens/{token_id}
https://playpass.com/api/organizers/{organizer\_id}/api\_tokens/{token\_id}
Response samples
- 200
- 401
- 403
- 404
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer_api_token": {"organizer_id": "string",
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",
"name": "string"
},
"id": 0,
"revoked": true
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/listOrganizerManagers List organizer managers
Lists organizer staff roles that can help manage the organizer.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
query Parameters
| query | string Example: query=basketball Case-insensitive free-text search string. |
| page | integer >= 1 1-based page number. Blank, invalid, and values below 1 use page 1. |
| per_page | integer [ 1 .. 100 ] Number of records per page. Blank, invalid, and values below 1 use the endpoint default; values above 100 are capped at 100. |
Responses
200
Organizer managers
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
get/api/organizers/{organizer_id}/managers
https://playpass.com/api/organizers/{organizer\_id}/managers
Response samples
- 200
- 401
- 403
- 404
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer_id": "string",
"managers": [{"id": "Labc123",
"type": "manager",
"active": true,
"role": "owner",
"confirmed": true,
"invite_pending": true,
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",\
"name": "string"
},
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"user": {"name": "string",
"email": "user@example.com"
}
}
]
},
"meta": {"api_version": "string",
"request_id": "string",
"managers": {"page": 1,
"per_page": 1,
"total_pages": 0,
"total_count": 0
}
}
}`
tag/organizers/operation/createOrganizerManager Create organizer manager
Adds a staff role to an organizer.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
Request Body schema: application/json optional
| manager | object (ManagerCreateInput) |
Responses
201
Organizer manager created
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid manager request
post/api/organizers/{organizer_id}/managers
https://playpass.com/api/organizers/{organizer\_id}/managers
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"manager": {"role": "manager",
"user": {"name": "string",
"email": "user@example.com"
}
}
}`
Response samples
- 201
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"manager": {"id": "Labc123",
"type": "manager",
"active": true,
"role": "owner",
"confirmed": true,
"invite_pending": true,
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",
"name": "string"
},
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"user": {"name": "string",
"email": "user@example.com"
}
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/updateOrganizerManager Update organizer manager
Updates organizer staff state, such as activating or suspending access.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
| manager_id required |
string Prefixed manager role id. |
Request Body schema: application/json optional
| manager | object (ManagerUpdateInput) |
Responses
200
Organizer manager updated
401
Missing or invalid API token
403
Forbidden
404
Organizer or manager not found
422
Invalid manager update
patch/api/organizers/{organizer_id}/managers/{manager_id}
https://playpass.com/api/organizers/{organizer\_id}/managers/{manager\_id}
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"manager": {"active": true
}
}`
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"manager": {"id": "Labc123",
"type": "manager",
"active": true,
"role": "owner",
"confirmed": true,
"invite_pending": true,
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",
"name": "string"
},
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"user": {"name": "string",
"email": "user@example.com"
}
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/getOrganizerCustomDomain Show organizer custom domain
Returns organizer custom-domain setup state, including DNS instructions when configured.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
Responses
200
Organizer custom domain state
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
get/api/organizers/{organizer_id}/custom_domain
https://playpass.com/api/organizers/{organizer\_id}/custom\_domain
Response samples
- 200
- 401
- 403
- 404
Content type
application/json
Copy Expand all Collapse all
`{"data": {"custom_domain": {"id": "Oabc123",
"type": "custom_domain",
"organizer_id": "string",
"configured": true,
"status": "not_configured",
"hostname": "string",
"hostname_locked": true,
"eligible_plan": true,
"entitled": true,
"yearly_billing": true,
"routing_target": "string",
"dns_provider": {"code": "string",
"name": "string",
"detected": true
},
"dns_records": [{"type": "string",
"name": "string",
"value": "string",
"hosted_zone_id": "string",
"notes": "string"
}
],
"setup_instructions": {"title": "string",
"steps": ["string"
],
"warning": "string"
},
"requested_at": "2019-08-24T14:15:22Z",
"active_at": "2019-08-24T14:15:22Z",
"grace_period_ends_at": "2019-08-24T14:15:22Z",
"disabled_at": "2019-08-24T14:15:22Z",
"last_error": "string"
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/createOrganizerCustomDomain Create organizer custom domain
Requests a custom domain hostname and generates DNS instructions.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
Request Body schema: application/json optional
| custom_domain | object (CustomDomainCreateInput) |
Responses
201
Organizer custom domain created
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid custom domain request
post/api/organizers/{organizer_id}/custom_domain
https://playpass.com/api/organizers/{organizer\_id}/custom\_domain
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"custom_domain": {"hostname": "string",
"force_hostname_change": true
}
}`
Response samples
- 201
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"custom_domain": {"id": "Oabc123",
"type": "custom_domain",
"organizer_id": "string",
"configured": true,
"status": "not_configured",
"hostname": "string",
"hostname_locked": true,
"eligible_plan": true,
"entitled": true,
"yearly_billing": true,
"routing_target": "string",
"dns_provider": {"code": "string",
"name": "string",
"detected": true
},
"dns_records": [{"type": "string",
"name": "string",
"value": "string",
"hosted_zone_id": "string",
"notes": "string"
}
],
"setup_instructions": {"title": "string",
"steps": ["string"
],
"warning": "string"
},
"requested_at": "2019-08-24T14:15:22Z",
"active_at": "2019-08-24T14:15:22Z",
"grace_period_ends_at": "2019-08-24T14:15:22Z",
"disabled_at": "2019-08-24T14:15:22Z",
"last_error": "string"
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/updateOrganizerCustomDomain Update organizer custom domain
Changes the requested custom-domain hostname and regenerates DNS instructions.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
Request Body schema: application/json optional
| custom_domain | object (CustomDomainUpdateInput) |
Responses
200
Organizer custom domain updated
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid custom domain request
patch/api/organizers/{organizer_id}/custom_domain
https://playpass.com/api/organizers/{organizer\_id}/custom\_domain
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"custom_domain": {"hostname": "string",
"force_hostname_change": true
}
}`
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"custom_domain": {"id": "Oabc123",
"type": "custom_domain",
"organizer_id": "string",
"configured": true,
"status": "not_configured",
"hostname": "string",
"hostname_locked": true,
"eligible_plan": true,
"entitled": true,
"yearly_billing": true,
"routing_target": "string",
"dns_provider": {"code": "string",
"name": "string",
"detected": true
},
"dns_records": [{"type": "string",
"name": "string",
"value": "string",
"hosted_zone_id": "string",
"notes": "string"
}
],
"setup_instructions": {"title": "string",
"steps": ["string"
],
"warning": "string"
},
"requested_at": "2019-08-24T14:15:22Z",
"active_at": "2019-08-24T14:15:22Z",
"grace_period_ends_at": "2019-08-24T14:15:22Z",
"disabled_at": "2019-08-24T14:15:22Z",
"last_error": "string"
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/deleteOrganizerCustomDomain Disable organizer custom domain
Disables the organizer custom domain and returns the updated state.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
Responses
200
Organizer custom domain disabled
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid custom domain request
delete/api/organizers/{organizer_id}/custom_domain
https://playpass.com/api/organizers/{organizer\_id}/custom\_domain
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"custom_domain": {"id": "Oabc123",
"type": "custom_domain",
"organizer_id": "string",
"configured": true,
"status": "not_configured",
"hostname": "string",
"hostname_locked": true,
"eligible_plan": true,
"entitled": true,
"yearly_billing": true,
"routing_target": "string",
"dns_provider": {"code": "string",
"name": "string",
"detected": true
},
"dns_records": [{"type": "string",
"name": "string",
"value": "string",
"hosted_zone_id": "string",
"notes": "string"
}
],
"setup_instructions": {"title": "string",
"steps": ["string"
],
"warning": "string"
},
"requested_at": "2019-08-24T14:15:22Z",
"active_at": "2019-08-24T14:15:22Z",
"grace_period_ends_at": "2019-08-24T14:15:22Z",
"disabled_at": "2019-08-24T14:15:22Z",
"last_error": "string"
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/createOrganizerCustomDomainStatusCheck Start organizer custom domain status check
Enqueues a background status check after the organizer updates DNS.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
Responses
200
Organizer custom domain status check started
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid custom domain request
post/api/organizers/{organizer_id}/custom_domain/status_check
https://playpass.com/api/organizers/{organizer\_id}/custom\_domain/status\_check
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"custom_domain": {"id": "Oabc123",
"type": "custom_domain",
"organizer_id": "string",
"configured": true,
"status": "not_configured",
"hostname": "string",
"hostname_locked": true,
"eligible_plan": true,
"entitled": true,
"yearly_billing": true,
"routing_target": "string",
"dns_provider": {"code": "string",
"name": "string",
"detected": true
},
"dns_records": [{"type": "string",
"name": "string",
"value": "string",
"hosted_zone_id": "string",
"notes": "string"
}
],
"setup_instructions": {"title": "string",
"steps": ["string"
],
"warning": "string"
},
"requested_at": "2019-08-24T14:15:22Z",
"active_at": "2019-08-24T14:15:22Z",
"grace_period_ends_at": "2019-08-24T14:15:22Z",
"disabled_at": "2019-08-24T14:15:22Z",
"last_error": "string"
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/organizers/operation/getOrganizerItems Get organizer homepage items
Authorizations:
None_bearerAuth_
path Parameters
| id required |
string^[A-Za-z0-9-]+$ Organizer lookup value (prefixed ID like Of6Hk2a or slug/short URL like YSC) |
query Parameters
| query | string Example: query=basketball Case-insensitive free-text search string. |
| sport | string Example: sport=soccer Sport slug filter. Applies to sport-bearing resources only. |
| page | integer >= 1 1-based page number. Blank, invalid, and values below 1 use page 1. |
| per_page | integer [ 1 .. 100 ] Number of records per page. Blank, invalid, and values below 1 use the endpoint default; values above 100 are capped at 100. |
Responses
200
Organizer items found
401
Invalid API token
403
Organizer is unavailable
404
Organizer not found
get/api/organizers/{id}/items
https://playpass.com/api/organizers/{id}/items
Response samples
- 200
- 401
- 403
- 404
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer_id": "Oabc123",
"items": [{"id": "Aabc123",
"organizer_id": "Oabc123",
"type": "activity",
"url": "http://example.com",\
"name": "string",
"subtitle": "string",
"description": "string",
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"status": "draft",
"sport": "string",
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"registration_open": true,
"reserve_url": "http://example.com",\
"price_per_slot_cents": 0,
"slot_duration_minutes": 1,
"format": "string",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"attached_schedule_id": "string",
"page_type": "string",
"section": "string",
"display_date": "2019-08-24",
"sign_method": "string",
"subscribable": true,
"reward_cents": 0,
"offer_cents": 0,
"currency": "string"
}
]
},
"meta": {"api_version": "2026-02-08",
"request_id": "string",
"items": {"page": 1,
"per_page": 1,
"total_pages": 0,
"total_count": 0
}
}
}`
tag/questions questions
Organizer checkout questions.
tag/questions/operation/listOrganizerQuestions List organizer global questions
Lists organizer-level checkout questions. Activity-specific, membership-specific, and booking-specific questions remain out of scope for this endpoint.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
query Parameters
Responses
200
Organizer global questions
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
get/api/organizers/{organizer_id}/questions
https://playpass.com/api/organizers/{organizer\_id}/questions
Response samples
- 200
- 401
- 403
- 404
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer_id": "string",
"questions": [{"id": "123",
"type": "question",
"target": "global",
"name": "string",
"answer_method": "text",
"list_options": ["string"
],
"required": true,
"visible": true,
"locked": true,
"position": 0,
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
]
},
"meta": {"api_version": "string",
"request_id": "string",
"questions": {"page": 1,
"per_page": 1,
"total_pages": 0,
"total_count": 0
}
}
}`
tag/questions/operation/createOrganizerQuestion Create organizer global question
Creates a new organizer-level checkout question.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
Request Body schema: application/json optional
| question | object (QuestionCreateInput) |
Responses
201
Organizer question created
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid question request
post/api/organizers/{organizer_id}/questions
https://playpass.com/api/organizers/{organizer\_id}/questions
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"question": {"name": "string",
"answer_method": "text",
"list_options": ["string"
],
"required": true,
"visible": true
}
}`
Response samples
- 201
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"question": {"id": "123",
"type": "question",
"target": "global",
"name": "string",
"answer_method": "text",
"list_options": ["string"
],
"required": true,
"visible": true,
"locked": true,
"position": 0,
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/questions/operation/updateOrganizerQuestion Update organizer global question
Updates a global organizer checkout question. Locked questions can only change visibility, requirement, or position.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
| question_id required |
integer >= 1 |
Request Body schema: application/json optional
| question | object (QuestionUpdateInput) non-empty |
Responses
200
Organizer question updated
401
Missing or invalid API token
403
Forbidden
404
Organizer or question not found
422
Invalid question request
patch/api/organizers/{organizer_id}/questions/{question_id}
https://playpass.com/api/organizers/{organizer\_id}/questions/{question\_id}
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"question": {"name": "string",
"answer_method": "text",
"list_options": ["string"
],
"required": true,
"visible": true,
"reposition": "move_to_top"
}
}`
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"question": {"id": "123",
"type": "question",
"target": "global",
"name": "string",
"answer_method": "text",
"list_options": ["string"
],
"required": true,
"visible": true,
"locked": true,
"position": 0,
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/questions/operation/deleteOrganizerQuestion Delete organizer global question
Deletes a global organizer checkout question when it is eligible for deletion.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
| question_id required |
integer >= 1 |
Responses
200
Organizer question deleted
401
Missing or invalid API token
403
Forbidden
404
Organizer or question not found
422
Question could not be deleted
delete/api/organizers/{organizer_id}/questions/{question_id}
https://playpass.com/api/organizers/{organizer\_id}/questions/{question\_id}
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"id": "string",
"deleted": true
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/coupons coupons
Organizer coupon management.
tag/coupons/operation/listOrganizerCoupons List organizer coupons
Lists organizer coupon codes used during checkout setup and operations.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
query Parameters
| status | string Enum:"available""unavailable""all" Coupon availability filter. Defaults to available. |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| page | integer >= 1 1-based page number. Blank, invalid, and values below 1 use page 1. |
| per_page | integer [ 1 .. 100 ] Number of records per page. Blank, invalid, and values below 1 use the endpoint default; values above 100 are capped at 100. |
Responses
200
Organizer coupons
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid filters
get/api/organizers/{organizer_id}/coupons
https://playpass.com/api/organizers/{organizer\_id}/coupons
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer_id": "string",
"coupons": [{"id": "SAVE20",
"type": "coupon",
"code": "string",
"percent_off": 0,
"amount_off_cents": 0,
"amount_off_dollars": 0,
"currency_code": "string",
"max_redemptions": 0,
"times_redeemed": 0,
"redeem_by": "2019-08-24",
"active": true,
"available": true,
"terms": "string",
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
]
},
"meta": {"api_version": "string",
"request_id": "string",
"coupons": {"page": 1,
"per_page": 1,
"total_pages": 0,
"total_count": 0
}
}
}`
tag/coupons/operation/createOrganizerCoupon Create organizer coupon
Creates a new organizer coupon for checkout discounts.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
Request Body schema: application/json optional
| coupon | object (CouponCreateInput) |
Responses
201
Organizer coupon created
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid coupon request
post/api/organizers/{organizer_id}/coupons
https://playpass.com/api/organizers/{organizer\_id}/coupons
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"coupon": {"identifier": "string",
"percent_off": 1,
"amount_off_dollars": 0,
"amount_off_cents": 1,
"max_redemptions": 1,
"redeem_by": "2019-08-24"
}
}`
Response samples
- 201
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"coupon": {"id": "SAVE20",
"type": "coupon",
"code": "string",
"percent_off": 0,
"amount_off_cents": 0,
"amount_off_dollars": 0,
"currency_code": "string",
"max_redemptions": 0,
"times_redeemed": 0,
"redeem_by": "2019-08-24",
"active": true,
"available": true,
"terms": "string",
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/coupons/operation/updateOrganizerCoupon Update organizer coupon
Updates organizer coupon manager fields such as active state.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
| coupon_id required |
string |
Request Body schema: application/json optional
| coupon | object (CouponUpdateInput) non-empty |
Responses
200
Organizer coupon updated
401
Missing or invalid API token
403
Forbidden
404
Organizer or coupon not found
422
Invalid coupon request
patch/api/organizers/{organizer_id}/coupons/{coupon_id}
https://playpass.com/api/organizers/{organizer\_id}/coupons/{coupon\_id}
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"coupon": {"active": true
}
}`
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"coupon": {"id": "SAVE20",
"type": "coupon",
"code": "string",
"percent_off": 0,
"amount_off_cents": 0,
"amount_off_dollars": 0,
"currency_code": "string",
"max_redemptions": 0,
"times_redeemed": 0,
"redeem_by": "2019-08-24",
"active": true,
"available": true,
"terms": "string",
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/coupons/operation/deleteOrganizerCoupon Delete organizer coupon
Deletes an organizer coupon when it is eligible for deletion.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
| coupon_id required |
string |
Responses
200
Organizer coupon deleted
401
Missing or invalid API token
403
Forbidden
404
Organizer or coupon not found
422
Coupon could not be deleted
delete/api/organizers/{organizer_id}/coupons/{coupon_id}
https://playpass.com/api/organizers/{organizer\_id}/coupons/{coupon\_id}
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"id": "string",
"deleted": true
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/payments payments
Organizer payment readiness and onboarding.
tag/payments/operation/getOrganizerPayments Show organizer payment settings
Returns organizer payment readiness and checkout payment settings.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
Responses
200
Organizer payment settings
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
get/api/organizers/{organizer_id}/payments
https://playpass.com/api/organizers/{organizer\_id}/payments
Response samples
- 200
- 401
- 403
- 404
Content type
application/json
Copy Expand all Collapse all
`{"data": {"payment": {"id": "Oabc123",
"type": "organizer_payment",
"organizer_id": "string",
"country_code": "string",
"country_supports_stripe": true,
"currency_code": "string",
"default_currency_code": "string",
"supported_currency_codes": ["string"
],
"pass_on_fee": true,
"pass_on_fee_supported": true,
"settings_locked": true,
"stripe_account_id": "string",
"stripe_charges_enabled": true,
"onboarding_required": true,
"onboarding_url": "http://example.com",
"disabled_reason": "string"
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/payments/operation/updateOrganizerPayments Update organizer payment settings
Updates organizer checkout payment settings such as country, currency, and pass-through fee behavior.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
Request Body schema: application/json optional
| payment | object (OrganizerPaymentUpdateInput) non-empty |
Responses
200
Organizer payment settings updated
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid payment settings
patch/api/organizers/{organizer_id}/payments
https://playpass.com/api/organizers/{organizer\_id}/payments
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"payment": {"pass_on_fee": true,
"country_code": "st",
"currency_code": "str"
}
}`
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"payment": {"id": "Oabc123",
"type": "organizer_payment",
"organizer_id": "string",
"country_code": "string",
"country_supports_stripe": true,
"currency_code": "string",
"default_currency_code": "string",
"supported_currency_codes": ["string"
],
"pass_on_fee": true,
"pass_on_fee_supported": true,
"settings_locked": true,
"stripe_account_id": "string",
"stripe_charges_enabled": true,
"onboarding_required": true,
"onboarding_url": "http://example.com",
"disabled_reason": "string"
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/payments/operation/createOrganizerPaymentsOnboarding Start organizer payment onboarding
Creates or refreshes the organizer Stripe onboarding link.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
Responses
200
Organizer payment onboarding state
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid payment settings or unavailable onboarding state
post/api/organizers/{organizer_id}/payments/onboarding
https://playpass.com/api/organizers/{organizer\_id}/payments/onboarding
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"payment": {"id": "Oabc123",
"type": "organizer_payment",
"organizer_id": "string",
"country_code": "string",
"country_supports_stripe": true,
"currency_code": "string",
"default_currency_code": "string",
"supported_currency_codes": ["string"
],
"pass_on_fee": true,
"pass_on_fee_supported": true,
"settings_locked": true,
"stripe_account_id": "string",
"stripe_charges_enabled": true,
"onboarding_required": true,
"onboarding_url": "http://example.com",
"disabled_reason": "string"
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/conversations conversations
Organizer-to-player conversations and messages.
tag/conversations/operation/listOrganizerConversations List organizer player conversations
Lists organizer-to-player conversations that are visible in the manager inbox.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
query Parameters
Responses
200
Organizer conversations
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
get/api/organizers/{organizer_id}/conversations
https://playpass.com/api/organizers/{organizer\_id}/conversations
Response samples
- 200
- 401
- 403
- 404
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer_id": "string",
"conversations": [{"id": "string",
"type": "conversation",
"source": "string",
"status": "string",
"recipient": {"user_id": "string",
"name": "string",
"email": "string"
},
"messages_count": 0,
"manager_unread_count": 0,
"player_unread_count": 0,
"recent_messages_preview": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
},
"meta": {"api_version": "string",
"request_id": "string",
"conversations": {"page": 1,
"per_page": 1,
"total_pages": 0,
"total_count": 0
}
}
}`
tag/conversations/operation/createOrganizerConversation Start organizer player conversation
Starts an organizer-to-player conversation by sending the first manager message.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
Request Body schema: application/json optional
| conversation | object (ConversationCreateInput) |
Responses
201
Organizer conversation created
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid conversation request
post/api/organizers/{organizer_id}/conversations
https://playpass.com/api/organizers/{organizer\_id}/conversations
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"conversation": {"recipient_user_id": "string",
"content": "string"
}
}`
Response samples
- 201
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"conversation": {"id": "string",
"type": "conversation",
"source": "string",
"status": "string",
"recipient": {"user_id": "string",
"name": "string",
"email": "string"
},
"messages_count": 0,
"manager_unread_count": 0,
"player_unread_count": 0,
"recent_messages_preview": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"message": {"id": "string",
"type": "message",
"conversation_id": "string",
"role": "string",
"sender_role": "manager",
"content": "string",
"created_at": "2019-08-24T14:15:22Z",
"sent_at": "2019-08-24T14:15:22Z",
"seen_at": "2019-08-24T14:15:22Z",
"author": {"user_id": "string",
"name": "string",
"email": "string"
},
"announcement_id": "string"
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/conversations/operation/listOrganizerConversationMessages List organizer conversation messages
Lists messages for a single organizer-to-player conversation and marks manager unread state as read.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
| conversation_id required |
string |
query Parameters
| page | integer >= 1 1-based page number. Blank, invalid, and values below 1 use page 1. |
| per_page | integer [ 1 .. 100 ] Number of records per page. Blank, invalid, and values below 1 use the endpoint default; values above 100 are capped at 100. |
Responses
200
Organizer conversation messages
401
Missing or invalid API token
403
Forbidden
404
Organizer or conversation not found
get/api/organizers/{organizer_id}/conversations/{conversation_id}/messages
https://playpass.com/api/organizers/{organizer\_id}/conversations/{conversation\_id}/messages
Response samples
- 200
- 401
- 403
- 404
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer_id": "string",
"conversation_id": "string",
"messages": [{"id": "string",
"type": "message",
"conversation_id": "string",
"role": "string",
"sender_role": "manager",
"content": "string",
"created_at": "2019-08-24T14:15:22Z",
"sent_at": "2019-08-24T14:15:22Z",
"seen_at": "2019-08-24T14:15:22Z",
"author": {"user_id": "string",
"name": "string",
"email": "string"
},
"announcement_id": "string"
}
]
},
"meta": {"api_version": "string",
"request_id": "string",
"messages": {"page": 1,
"per_page": 1,
"total_pages": 0,
"total_count": 0
}
}
}`
tag/conversations/operation/createOrganizerConversationMessage Reply to organizer conversation
Sends a manager reply inside an organizer-to-player conversation.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
| conversation_id required |
string |
Request Body schema: application/json optional
| message | object (MessageCreateInput) |
Responses
201
Organizer conversation message created
401
Missing or invalid API token
403
Forbidden
404
Organizer or conversation not found
422
Invalid message request
post/api/organizers/{organizer_id}/conversations/{conversation_id}/messages
https://playpass.com/api/organizers/{organizer\_id}/conversations/{conversation\_id}/messages
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"message": {"content": "string"
}
}`
Response samples
- 201
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"message": {"id": "string",
"type": "message",
"conversation_id": "string",
"role": "string",
"sender_role": "manager",
"content": "string",
"created_at": "2019-08-24T14:15:22Z",
"sent_at": "2019-08-24T14:15:22Z",
"seen_at": "2019-08-24T14:15:22Z",
"author": {"user_id": "string",
"name": "string",
"email": "string"
},
"announcement_id": "string"
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/announcements announcements
Organizer player announcements.
tag/announcements/operation/listOrganizerAnnouncements List organizer announcements
Lists organizer announcement drafts and sends.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
query Parameters
Responses
200
Organizer announcements
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
get/api/organizers/{organizer_id}/announcements
https://playpass.com/api/organizers/{organizer\_id}/announcements
Response samples
- 200
- 401
- 403
- 404
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer_id": "string",
"announcements": [{"id": "string",
"type": "announcement",
"subject": "string",
"content": "string",
"audience_type": "string",
"target": {"type": "string",
"id": "string"
},
"send_email": true,
"send_sms": true,
"status": "string",
"audience_count": 0,
"delivered_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
},
"meta": {"api_version": "string",
"request_id": "string",
"announcements": {"page": 1,
"per_page": 1,
"total_pages": 0,
"total_count": 0
}
}
}`
tag/announcements/operation/createOrganizerAnnouncement Create organizer announcement
Creates an organizer announcement and sends it immediately unless deliver is set to false.
Authorizations:
bearerAuth
path Parameters
| organizer_id required |
string |
Request Body schema: application/json optional
| announcement | object (AnnouncementCreateInput) |
Responses
201
Organizer announcement created
401
Missing or invalid API token
403
Forbidden
404
Organizer not found
422
Invalid announcement request
post/api/organizers/{organizer_id}/announcements
https://playpass.com/api/organizers/{organizer\_id}/announcements
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"announcement": {"audience_type": "all_players",
"content": "string",
"subject": "string",
"send_email": true,
"send_sms": true,
"deliver": true,
"activity_id": "string",
"membership_id": "string",
"waiver_id": "string",
"schedule_id": "string"
}
}`
Response samples
- 201
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"announcement": {"id": "string",
"type": "announcement",
"subject": "string",
"content": "string",
"audience_type": "string",
"target": {"type": "string",
"id": "string"
},
"send_email": true,
"send_sms": true,
"status": "string",
"audience_count": 0,
"delivered_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/schedules schedules
Schedule details, games, and standings.
tag/schedules/operation/listSchedules List schedules for an organizer context
Authorizations:
bearerAuth
query Parameters
| organizer_id | string |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| status | string Enum:"draft""published""archived" Exact schedule lifecycle status filter. |
| view | string Enum:"current""homepage""all" Schedule list view. Defaults to current when omitted. |
| sport | string Example: sport=soccer Sport slug filter. Applies to sport-bearing resources only. |
| format | string Enum:"round_robin""swiss_system""rotating_partners""practice_schedule""single_elimination""double_elimination""triple_elimination" Filter schedules by schedule format. |
| page | integer >= 1 1-based page number. Blank, invalid, and values below 1 use page 1. |
| per_page | integer [ 1 .. 100 ] Number of records per page. Blank, invalid, and values below 1 use the endpoint default; values above 100 are capped at 100. |
Responses
200
Schedules found
401
Missing or invalid API token
403
Forbidden
422
Invalid filter parameters
get/api/schedules
https://playpass.com/api/schedules
Response samples
- 200
- 401
- 403
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer_id": "string",
"schedules": [{"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",\
"name": "string",
"subtitle": "string",
"description": "string",
"format": "round_robin",
"status": "draft",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"games_count": 0,
"games_played_count": 0,
"standings_supported": true,
"sport": "basketball",
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
]
},
"meta": {"api_version": "string",
"request_id": "string",
"schedules": {"page": 1,
"per_page": 1,
"total_pages": 0,
"total_count": 0
}
}
}`
tag/schedules/operation/createSchedule Create a schedule
Authorizations:
bearerAuth
Request Body schema: application/json required
| organizer_id | string |
| schedule required |
object (ScheduleCreateInput) |
Responses
201
Schedule created
401
Missing or invalid API token
403
Forbidden
422
Invalid schedule attributes
post/api/schedules
https://playpass.com/api/schedules
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"organizer_id": "string",
"schedule": {"sport": "soccer",
"teams": 8,
"format": "round_robin"
}
}`
Response samples
- 201
- 401
- 403
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"schedule": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"name": "string",
"subtitle": "string",
"description": "string",
"format": "round_robin",
"status": "draft",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"games_count": 0,
"games_played_count": 0,
"contestants": 0,
"courts": 0,
"groups": 0,
"standings_supported": true,
"sport": "basketball",
"player_stats": {"supported": true,
"tracking_enabled": true,
"visible_to_public": true,
"leaderboards_visible": true,
"leaderboard_stats": [{"key": "points",
"label": "Points",
"abbreviation": "PTS"
}
]
},
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"attached_schedule": {"id": "PHpmFGq",
"url": "https://playpass.com/go/PHpmFGq",
"name": "8 Team Volleyball Single Elimination",
"subtitle": "string",
"description": "string",
"format": "single_elimination",
"games_count": 0,
"games_played_count": 0,
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"continue_url": "http://example.com"
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/schedules/operation/getSchedule Get schedule details by ID
Authorizations:
None_bearerAuth_
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
Responses
200
Schedule found
401
Invalid API token
403
Schedule is unavailable
404
Schedule not found
422
Invalid identifier format/prefix
get/api/schedules/{id}
https://playpass.com/api/schedules/{id}
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"schedule": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"name": "string",
"subtitle": "string",
"description": "string",
"format": "round_robin",
"status": "draft",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"games_count": 0,
"games_played_count": 0,
"contestants": 0,
"courts": 0,
"groups": 0,
"standings_supported": true,
"sport": "basketball",
"player_stats": {"supported": true,
"tracking_enabled": true,
"visible_to_public": true,
"leaderboards_visible": true,
"leaderboard_stats": [{"key": "points",
"label": "Points",
"abbreviation": "PTS"
}
]
},
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"attached_schedule": {"id": "PHpmFGq",
"url": "https://playpass.com/go/PHpmFGq",
"name": "8 Team Volleyball Single Elimination",
"subtitle": "string",
"description": "string",
"format": "single_elimination",
"games_count": 0,
"games_played_count": 0,
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"continue_url": "http://example.com"
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/schedules/operation/updateSchedule Update a schedule
Authorizations:
bearerAuth
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
Request Body schema: application/json required
| schedule required |
object (ScheduleUpdateInput) non-empty |
Responses
200
Schedule updated
401
Missing or invalid API token
403
Forbidden
404
Schedule not found
422
Invalid schedule attributes
patch/api/schedules/{id}
https://playpass.com/api/schedules/{id}
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"schedule": {"name": "string",
"subtitle": "string",
"sport": "soccer",
"printable": true,
"stats_enabled": true,
"visible_player_stats": true,
"scoring_sets": 1,
"robin_scoring_config_id": 1,
"court_add_name": "string",
"court_n": 1,
"court_new_name": "string",
"group_n": 1,
"group_new_name": "string",
"teams": 1,
"groups": 1,
"courts": 1,
"min_rest": true,
"rounds": 0,
"games_per_team": 0,
"start_date": "2026-04-18",
"manual_end_date": "2026-06-30",
"daily_games_per_court": 1,
"daily_start_time": "18:00",
"game_length_in_minutes": 1,
"week_days_array": [6
],
"schedule_window_end_time": "21:00",
"schedule_calendar_overrides": {"day_windows": [{"wday": 6,
"start_time": "^(00|20):00$",
"end_time": "^(00|20):00$"
}
],
"court_windows": [{"wday": 6,
"court": 1,
"enabled": true,
"start_time": "^(00|20):00$",
"end_time": "^(00|20):00$"
}
]
},
"schedule_pauses": {"pauses": [{"start_date": "2019-08-24",
"end_date": "2019-08-24"
}
]
},
"swiss_desired_rounds": 1,
"robin_id": 1,
"reset_team_group_assignments": true,
"team_group_assignments": {"1": 1,
"2": 1,
"3": 2,
"4": 2
},
"reset_team_home_court_assignments": true,
"team_home_court_assignments": {"1": 1,
"2": 2,
"3": 3
}
}
}`
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"schedule": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"name": "string",
"subtitle": "string",
"description": "string",
"format": "round_robin",
"status": "draft",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"games_count": 0,
"games_played_count": 0,
"contestants": 0,
"courts": 0,
"groups": 0,
"standings_supported": true,
"sport": "basketball",
"player_stats": {"supported": true,
"tracking_enabled": true,
"visible_to_public": true,
"leaderboards_visible": true,
"leaderboard_stats": [{"key": "points",
"label": "Points",
"abbreviation": "PTS"
}
]
},
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"attached_schedule": {"id": "PHpmFGq",
"url": "https://playpass.com/go/PHpmFGq",
"name": "8 Team Volleyball Single Elimination",
"subtitle": "string",
"description": "string",
"format": "single_elimination",
"games_count": 0,
"games_played_count": 0,
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"continue_url": "http://example.com"
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/schedules/operation/deleteSchedule Delete a schedule
Authorizations:
bearerAuth
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
Responses
200
Schedule deleted
401
Missing or invalid API token
403
Forbidden
404
Schedule not found
422
Invalid delete request
delete/api/schedules/{id}
https://playpass.com/api/schedules/{id}
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"id": "Rk3GtLx",
"deleted": true
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/schedules/operation/publishSchedule Publish a schedule
Authorizations:
bearerAuth
path Parameters
| schedule_id required |
string |
Responses
200
Schedule published
401
Missing or invalid API token
403
Forbidden
404
Schedule not found
422
Invalid publish request
post/api/schedules/{schedule_id}/publication
https://playpass.com/api/schedules/{schedule\_id}/publication
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"schedule": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"name": "string",
"subtitle": "string",
"description": "string",
"format": "round_robin",
"status": "draft",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"games_count": 0,
"games_played_count": 0,
"contestants": 0,
"courts": 0,
"groups": 0,
"standings_supported": true,
"sport": "basketball",
"player_stats": {"supported": true,
"tracking_enabled": true,
"visible_to_public": true,
"leaderboards_visible": true,
"leaderboard_stats": [{"key": "points",
"label": "Points",
"abbreviation": "PTS"
}
]
},
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"attached_schedule": {"id": "PHpmFGq",
"url": "https://playpass.com/go/PHpmFGq",
"name": "8 Team Volleyball Single Elimination",
"subtitle": "string",
"description": "string",
"format": "single_elimination",
"games_count": 0,
"games_played_count": 0,
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"continue_url": "http://example.com"
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/schedules/operation/unpublishSchedule Unpublish a schedule
Authorizations:
bearerAuth
path Parameters
| schedule_id required |
string |
Responses
200
Schedule unpublished
401
Missing or invalid API token
403
Forbidden
404
Schedule not found
422
Invalid unpublish request
delete/api/schedules/{schedule_id}/publication
https://playpass.com/api/schedules/{schedule\_id}/publication
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"schedule": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"name": "string",
"subtitle": "string",
"description": "string",
"format": "round_robin",
"status": "draft",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"games_count": 0,
"games_played_count": 0,
"contestants": 0,
"courts": 0,
"groups": 0,
"standings_supported": true,
"sport": "basketball",
"player_stats": {"supported": true,
"tracking_enabled": true,
"visible_to_public": true,
"leaderboards_visible": true,
"leaderboard_stats": [{"key": "points",
"label": "Points",
"abbreviation": "PTS"
}
]
},
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"attached_schedule": {"id": "PHpmFGq",
"url": "https://playpass.com/go/PHpmFGq",
"name": "8 Team Volleyball Single Elimination",
"subtitle": "string",
"description": "string",
"format": "single_elimination",
"games_count": 0,
"games_played_count": 0,
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"continue_url": "http://example.com"
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/schedules/operation/archiveSchedule Archive a schedule
Authorizations:
bearerAuth
path Parameters
| schedule_id required |
string |
Responses
200
Schedule archived
401
Missing or invalid API token
403
Forbidden
404
Schedule not found
422
Invalid archive request
post/api/schedules/{schedule_id}/archival
https://playpass.com/api/schedules/{schedule\_id}/archival
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"schedule": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"name": "string",
"subtitle": "string",
"description": "string",
"format": "round_robin",
"status": "draft",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"games_count": 0,
"games_played_count": 0,
"contestants": 0,
"courts": 0,
"groups": 0,
"standings_supported": true,
"sport": "basketball",
"player_stats": {"supported": true,
"tracking_enabled": true,
"visible_to_public": true,
"leaderboards_visible": true,
"leaderboard_stats": [{"key": "points",
"label": "Points",
"abbreviation": "PTS"
}
]
},
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"attached_schedule": {"id": "PHpmFGq",
"url": "https://playpass.com/go/PHpmFGq",
"name": "8 Team Volleyball Single Elimination",
"subtitle": "string",
"description": "string",
"format": "single_elimination",
"games_count": 0,
"games_played_count": 0,
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"continue_url": "http://example.com"
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/schedules/operation/unarchiveSchedule Unarchive a schedule
Authorizations:
bearerAuth
path Parameters
| schedule_id required |
string |
Responses
200
Schedule unarchived
401
Missing or invalid API token
403
Forbidden
404
Schedule not found
422
Invalid unarchive request
delete/api/schedules/{schedule_id}/archival
https://playpass.com/api/schedules/{schedule\_id}/archival
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"schedule": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"name": "string",
"subtitle": "string",
"description": "string",
"format": "round_robin",
"status": "draft",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"games_count": 0,
"games_played_count": 0,
"contestants": 0,
"courts": 0,
"groups": 0,
"standings_supported": true,
"sport": "basketball",
"player_stats": {"supported": true,
"tracking_enabled": true,
"visible_to_public": true,
"leaderboards_visible": true,
"leaderboard_stats": [{"key": "points",
"label": "Points",
"abbreviation": "PTS"
}
]
},
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"attached_schedule": {"id": "PHpmFGq",
"url": "https://playpass.com/go/PHpmFGq",
"name": "8 Team Volleyball Single Elimination",
"subtitle": "string",
"description": "string",
"format": "single_elimination",
"games_count": 0,
"games_played_count": 0,
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"continue_url": "http://example.com"
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/schedules/operation/bulkAddScheduleTeams Add teams to a schedule
Authorizations:
bearerAuth
path Parameters
| schedule_id required |
string |
Request Body schema: application/json required
| teams required |
Array of strings non-empty |
Responses
200
Schedule updated with new teams
401
Missing or invalid API token
403
Forbidden
404
Schedule not found
422
Invalid team bulk add request
post/api/schedules/{schedule_id}/team_bulk_add
https://playpass.com/api/schedules/{schedule\_id}/team\_bulk\_add
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"teams": ["string"
]
}`
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"schedule": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"name": "string",
"subtitle": "string",
"description": "string",
"format": "round_robin",
"status": "draft",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"games_count": 0,
"games_played_count": 0,
"contestants": 0,
"courts": 0,
"groups": 0,
"standings_supported": true,
"sport": "basketball",
"player_stats": {"supported": true,
"tracking_enabled": true,
"visible_to_public": true,
"leaderboards_visible": true,
"leaderboard_stats": [{"key": "points",
"label": "Points",
"abbreviation": "PTS"
}
]
},
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"attached_schedule": {"id": "PHpmFGq",
"url": "https://playpass.com/go/PHpmFGq",
"name": "8 Team Volleyball Single Elimination",
"subtitle": "string",
"description": "string",
"format": "single_elimination",
"games_count": 0,
"games_played_count": 0,
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
}
}
},
"continue_url": "http://example.com"
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/schedules/operation/getScheduleGames Get schedule games
Authorizations:
None_bearerAuth_
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
query Parameters
| status | string Enum:"all""unplayed" |
| team | integer >= 1 |
| group | integer >= 1 |
| court | integer >= 1 |
| style | string Enum:"list""bracket" |
| page | integer >= 1 1-based page number. Blank, invalid, and values below 1 use page 1. |
| per_page | integer [ 1 .. 100 ] Number of records per page. Blank, invalid, and values below 1 use the endpoint default; values above 100 are capped at 100. |
Responses
200
Games found
401
Invalid API token
403
Schedule is unavailable
404
Schedule not found
422
Invalid identifier or invalid filters
get/api/schedules/{id}/games
https://playpass.com/api/schedules/{id}/games
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"filters": {"status": "all",
"team": 1,
"group": 1,
"court": 1,
"style": "list",
"page": 1,
"per_page": 1
},
},
"meta": {"api_version": "2026-02-08",
"request_id": "string",
"schedule_games": {"page": 1,
"per_page": 1,
"total_pages": 0,
"total_count": 0
},
"playoff_games": {"page": 1,
"per_page": 1,
"total_pages": 0,
"total_count": 0
}
}
}`
tag/schedules/operation/getScheduleStandings Get standings (robin schedules only)
Authorizations:
None_bearerAuth_
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
query Parameters
| team | integer >= 1 |
| group | integer >= 1 |
Responses
200
Standings found
401
Invalid API token
403
Schedule is unavailable
404
Schedule not found
422
Invalid identifier/filters or standings not supported
get/api/schedules/{id}/standings
https://playpass.com/api/schedules/{id}/standings
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"schedule_ref": {"id": "Rk3GtLx",
"url": "https://playpass.com/go/Rk3GtLx",
"attached_schedule_id": "string",
"attached_schedule_url": "https://playpass.com/go/PHpmFGq"
},
"filters": {"team": 1,
"group": 1
},
"selected_group": 0,
"visibility": {"games_played": true,
"games_back": true,
"ties": true,
"ties_last": true,
"no_results": true,
"overtime_losses": true,
"forfeit_losses": true,
"win_percentage": true,
"streak": true,
"last_ten": true,
"home_record": true,
"away_record": true,
"sets_won": true,
"sets_lost": true,
"sets_difference": true,
"goals_for": true,
"goals_against": true,
"percentage": true,
"goals_difference": true,
"net_run_rate": true,
"points": true
},
"player_stats": {"supported": true,
"visible": true,
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/activities activities
Publishable activity details.
tag/activities/operation/listActivities List organizer activities
Authorizations:
bearerAuth
query Parameters
| organizer_id | string |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| status | string Enum:"draft""published""archived" Exact activity lifecycle status filter. |
| view | string Enum:"current""all" Activity list view. Use all to include draft, published, and archived activities. When omitted, the API defaults to current activities. |
| page | integer >= 1 1-based page number. Blank, invalid, and values below 1 use page 1. |
| per_page | integer [ 1 .. 100 ] Number of records per page. Blank, invalid, and values below 1 use the endpoint default; values above 100 are capped at 100. |
Responses
200
Activities found
401
Missing or invalid API token
403
Forbidden
422
Invalid request parameters
get/api/activities
https://playpass.com/api/activities
Response samples
- 200
- 401
- 403
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"organizer_id": "string",
"activities": [{"id": "Aabc123",
"type": "activity",
"url": "https://playpass.com/go/Aabc123",\
"name": "string",
"subtitle": "string",
"status": "draft",
"sport": "string",
"genre": "string",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"timezone": "America/Los_Angeles",
"registration_open": true,
"city": "string",
"country_code": "string",
"location_label": "string",
"description": "string",
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",\
"name": "string"
},
"pricing_options": [{"id": "Cabc123",
"activity_id": "Aabc123",
"name": "string",
"subtitle": "string",
"section": {"id": "Dabc123",
"name": "string",
"position": 1
},
"amount_cents": 0,
"currency": "usd",
"available": true,
"active": true,
"position": 1,
"end_date": "2019-08-24",
"end_time": "^\dd:\dd:\dd$",
"timezone": "string",
"ends_at": "2019-08-24T14:15:22Z",
"installment_enabled": true,
"installment_count": 2,
"installment_interval": "day",
"installment_interval_count": 1,
"installment_cadence": "string",
"installment_amount_cents": 0,
"capacity_limit": 1,
"capacity_remaining": 0
}
],
"products": [{"id": "Jabc123",
"name": "string",
"subtitle": "string",
"amount_cents": 0,
"currency": "string",
"max_quantity_per_purchase": 1
}
]
}
]
},
"meta": {"api_version": "string",
"request_id": "string",
"activities": {"page": 1,
"per_page": 1,
"total_pages": 0,
"total_count": 0
}
}
}`
tag/activities/operation/createActivity Create an activity
Authorizations:
bearerAuth
Request Body schema: application/json required
| activity required |
object (ActivityCreateInput) |
Responses
201
Activity created
401
Missing or invalid API token
403
Forbidden
422
Invalid activity attributes
post/api/activities
https://playpass.com/api/activities
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"activity": {"name": "string",
"subtitle": "string",
"sport": "soccer",
"genre": "league",
"location_input": "string",
"location_label": "string",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"start_time": "18:30:00",
"end_time": "20:00:00",
"age_spec": "string",
"gender_spec": "string",
"min_age": 0,
"max_age": 0,
"contact_name": "string",
"contact_email": "user@example.com",
"contact_phone": "string",
"url": "http://example.com",
"registration_on": true,
"multiple_signups_allowed": true,
"discountable": true,
"require_birth_date": true,
"require_gender": true,
"require_phone_number": true,
"all_waivers": true,
"global_questions": true,
"searchable": true,
"visible": true,
"waitlist_enabled": true,
"total_capacity": -1,
"post_registration_url": "http://example.com",
"activity_days": [6
],
"pricing_options_attributes": [{"name": "string",
"subtitle": "string",
"amount_dollars": "25",
"amount_base_cents": 0,
"active": true,
"registration_limit": -1,
"end_date": "2019-08-24",
"count_as": 1,
"installment_enabled": true,
"installment_count": 2,
"installment_interval": "day",
"installment_interval_count": 1
}
]
}
}`
Response samples
- 201
- 401
- 403
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"activity": {"id": "Aabc123",
"type": "activity",
"url": "https://playpass.com/go/Aabc123",
"name": "string",
"subtitle": "string",
"status": "draft",
"sport": "string",
"genre": "string",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"timezone": "America/Los_Angeles",
"registration_open": true,
"city": "string",
"country_code": "string",
"location_label": "string",
"description": "string",
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",
"name": "string"
},
"pricing_options": [{"id": "Cabc123",
"activity_id": "Aabc123",
"name": "string",
"subtitle": "string",
"section": {"id": "Dabc123",
"name": "string",
"position": 1
},
"amount_cents": 0,
"currency": "usd",
"available": true,
"active": true,
"position": 1,
"end_date": "2019-08-24",
"end_time": "^\dd:\dd:\dd$",
"timezone": "string",
"ends_at": "2019-08-24T14:15:22Z",
"installment_enabled": true,
"installment_count": 2,
"installment_interval": "day",
"installment_interval_count": 1,
"installment_cadence": "string",
"installment_amount_cents": 0,
"capacity_limit": 1,
"capacity_remaining": 0
}
],
"products": [{"id": "Jabc123",
"name": "string",
"subtitle": "string",
"amount_cents": 0,
"currency": "string",
"max_quantity_per_purchase": 1
}
]
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/activities/operation/getActivity Get activity details by ID
Authorizations:
None_bearerAuth_
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
Responses
200
Activity found
401
Invalid API token
403
Activity is unavailable
404
Activity not found
422
Invalid id format
get/api/activities/{id}
https://playpass.com/api/activities/{id}
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"activity": {"id": "Aabc123",
"type": "activity",
"url": "https://playpass.com/go/Aabc123",
"name": "string",
"subtitle": "string",
"status": "draft",
"sport": "string",
"genre": "string",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"timezone": "America/Los_Angeles",
"registration_open": true,
"city": "string",
"country_code": "string",
"location_label": "string",
"description": "string",
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",
"name": "string"
},
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/activities/operation/updateActivity Update an activity
Authorizations:
bearerAuth
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
Request Body schema: application/json required
| activity required |
object (ActivityUpdateInput) non-empty |
Responses
200
Activity updated
401
Missing or invalid API token
403
Forbidden
404
Activity not found
422
Invalid activity attributes
patch/api/activities/{id}
https://playpass.com/api/activities/{id}
Request samples
- Payload
Content type
application/json
Copy Expand all Collapse all
`{"activity": {"name": "string",
"location_input": "string",
"location_label": "string",
"sport": "soccer",
"genre": "league",
"subtitle": "string",
"description_rich_text": "string",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"start_time": "18:30:00",
"end_time": "20:00:00",
"age_spec": "string",
"gender_spec": "string",
"min_age": 0,
"max_age": 0,
"contact_name": "string",
"contact_email": "user@example.com",
"contact_phone": "string",
"url": "http://example.com",
"registration_on": true,
"multiple_signups_allowed": true,
"discountable": true,
"require_birth_date": true,
"require_gender": true,
"require_phone_number": true,
"all_waivers": true,
"global_questions": true,
"searchable": true,
"visible": true,
"waitlist_enabled": true,
"remove_photo": true,
"total_capacity": -1,
"post_registration_url": "http://example.com",
"activity_days": [6
]
}
}`
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"activity": {"id": "Aabc123",
"type": "activity",
"url": "https://playpass.com/go/Aabc123",
"name": "string",
"subtitle": "string",
"status": "draft",
"sport": "string",
"genre": "string",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"timezone": "America/Los_Angeles",
"registration_open": true,
"city": "string",
"country_code": "string",
"location_label": "string",
"description": "string",
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",
"name": "string"
},
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/activities/operation/deleteActivity Delete an activity
Authorizations:
bearerAuth
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
Responses
200
Activity deleted
401
Missing or invalid API token
403
Forbidden
404
Activity not found
422
Activity cannot be deleted
delete/api/activities/{id}
https://playpass.com/api/activities/{id}
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"id": "Aabc123",
"deleted": true
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/activities/operation/attachActivityProduct Attach a product to an activity
Authorizations:
bearerAuth
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
Request Body schema: application/json required
| product_id required |
string^[A-Za-z][A-Za-z0-9]+$ |
Responses
200
Product attached to activity
401
Missing or invalid API token
403
Forbidden
404
Activity or product not found
422
Invalid product attachment request
post/api/activities/{id}/products
https://playpass.com/api/activities/{id}/products
Request samples
- Payload
Content type
application/json
Copy
`{"product_id": "^AA$"
}`
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"activity": {"id": "Aabc123",
"type": "activity",
"url": "https://playpass.com/go/Aabc123",
"name": "string",
"subtitle": "string",
"status": "draft",
"sport": "string",
"genre": "string",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"timezone": "America/Los_Angeles",
"registration_open": true,
"city": "string",
"country_code": "string",
"location_label": "string",
"description": "string",
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",
"name": "string"
},
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/activities/operation/detachActivityProduct Remove a product from an activity
Authorizations:
bearerAuth
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
| product_id required |
string^[A-Za-z][A-Za-z0-9]+$ Product ID value (for example Jabc123) |
Responses
200
Product removed from activity
401
Missing or invalid API token
403
Forbidden
404
Activity or product not found
422
Invalid product detach request
delete/api/activities/{id}/products/{product_id}
https://playpass.com/api/activities/{id}/products/{product\_id}
Response samples
- 200
- 401
- 403
- 404
- 422
Content type
application/json
Copy Expand all Collapse all
`{"data": {"activity": {"id": "Aabc123",
"type": "activity",
"url": "https://playpass.com/go/Aabc123",
"name": "string",
"subtitle": "string",
"status": "draft",
"sport": "string",
"genre": "string",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"starts_at": "2019-08-24T14:15:22Z",
"ends_at": "2019-08-24T14:15:22Z",
"timezone": "America/Los_Angeles",
"registration_open": true,
"city": "string",
"country_code": "string",
"location_label": "string",
"description": "string",
"manager": {"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "draft"
},
"organizer": {"id": "Of6Hk2a",
"url": "https://playpass.com/go/Of6Hk2a",
"name": "string"
},
}
},
"meta": {"api_version": "2026-02-08",
"request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}`
tag/activities/operation/listActivityPricingOptions List pricing options for an activity
Authorizations:
None_bearerAuth_
path Parameters
| id required |
string^[A-Za-z][A-Za-z0-9]+$ ID value (for example Ak3GtLx, Rk3GtLx, PHpmFGq, Of6Hk2a) |
Responses
200
Pricing options found
401
[...]
